package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlockWorld;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerPortalEvent;

import java.util.Objects;

public class ExitPixelWorldListener implements Listener {
    @EventHandler
    public void onPlayerPortal(PlayerPortalEvent event) {
        World pixelBlockWorld = event.getFrom().getWorld();
        if(!PixelBlockWorld.isPixelWorld(pixelBlockWorld)) return;

        event.setCancelled(true);
        PixelBlock pixelBlock = PixelBlock.getPixelBlockFromBlockWorld(pixelBlockWorld);
        Objects.requireNonNull(pixelBlock);
        pixelBlock.exitBlock(event.getPlayer());
    }
}
